ICU 55.1 55.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
icu::UCharsTrie::Iterator Class Reference

Iterator for all of the (string, value) pairs in a UCharsTrie. More...

`#include <ucharstrie.h>`

Inheritance diagram for icu::UCharsTrie::Iterator:

## Public Member Functions
| Iterator (const UChar *trieUChars, int32_t maxStringLength, UErrorCode &errorCode)
| Iterates from the root of a UChar-serialized UCharsTrie.
| Iterator (const UCharsTrie &trie, int32_t maxStringLength, UErrorCode &errorCode)
| Iterates from the current state of the specified UCharsTrie.
| ~Iterator ()
| Destructor.
Iterator & | reset ()
| Resets this iterator to its initial state.
UBool | hasNext () const
UBool | next (UErrorCode &errorCode)
| Finds the next (string, value) pair if there is one.
const UnicodeString & | getString () const
int32_t | getValue () const

## Detailed Description

Iterator for all of the (string, value) pairs in a UCharsTrie.

Stable:
  ICU 4.8

Definition at line 256 of file ucharstrie.h.

## Constructor & Destructor Documentation

icu::UCharsTrie::Iterator::Iterator | ( | const UChar * | trieUChars,
|  | int32_t | maxStringLength,
|  | UErrorCode & | errorCode
| ) |  |

Iterates from the root of a UChar-serialized UCharsTrie.

Parameters

  trieUChars | The trie UChars.
  maxStringLength | If 0, the iterator returns full strings. Otherwise, the iterator returns strings with this maximum length.
  errorCode | Standard ICU error code. Its input value must pass the U_SUCCESS() test, or else the function returns immediately. Check for U_FAILURE() on output or use with function chaining. (See User Guide for details.)

Stable:
  ICU 4.8

icu::UCharsTrie::Iterator::Iterator | ( | const UCharsTrie & | trie,
|  | int32_t | maxStringLength,
|  | UErrorCode & | errorCode
| ) |  |

Iterates from the current state of the specified UCharsTrie.

Parameters

  trie | The trie whose state will be copied for iteration.
  maxStringLength | If 0, the iterator returns full strings. Otherwise, the iterator returns strings with this maximum length.
  errorCode | Standard ICU error code. Its input value must pass the U_SUCCESS() test, or else the function returns immediately. Check for U_FAILURE() on output or use with function chaining. (See User Guide for details.)

Stable:
  ICU 4.8

icu::UCharsTrie::Iterator::~Iterator | ( |  | ) |

Destructor.

Stable:
  ICU 4.8

## Member Function Documentation

const UnicodeString& icu::UCharsTrie::Iterator::getString | ( |  | ) | const
| inline

Returns
  The string for the last successful next().

Stable:
  ICU 4.8

Definition at line 323 of file ucharstrie.h.

int32_t icu::UCharsTrie::Iterator::getValue | ( |  | ) | const
| inline

Returns
  The value for the last successful next().

Stable:
  ICU 4.8

Definition at line 328 of file ucharstrie.h.

UBool icu::UCharsTrie::Iterator::hasNext | ( |  | ) | const

Returns
  TRUE if there are more elements.

Stable:
  ICU 4.8

UBool icu::UCharsTrie::Iterator::next | ( | UErrorCode & | errorCode | ) |

Finds the next (string, value) pair if there is one.

If the string is truncated to the maximum length and does not have a real value, then the value is set to -1. In this case, this "not a real value" is indistinguishable from a real value of -1.

Parameters

  errorCode | Standard ICU error code. Its input value must pass the U_SUCCESS() test, or else the function returns immediately. Check for U_FAILURE() on output or use with function chaining. (See User Guide for details.)

Returns
  TRUE if there is another element.

Stable:
  ICU 4.8

Iterator& icu::UCharsTrie::Iterator::reset | ( |  | ) |

Resets this iterator to its initial state.

Returns
  *this

Stable:
  ICU 4.8

The documentation for this class was generated from the following file:

- ucharstrie.h